<!-- Checkbox.svelte -->
<script lang="ts">
	import { createEventDispatcher } from "svelte"

  interface Props {
    checked?: boolean;
    item?: string;
  }

  let { checked = $bindable(false), item = '#FF0000' }: Props = $props();

  const dispatch = createEventDispatcher()

	function onSelect(hex: string) {
    checked = !checked
		dispatch('click', hex)
	}
</script>

<div
  class="item"
  role="button"
  tabindex="0"
  data-hex={item}
  data-checked={checked}
  style="background-color: {checked? item : '#444'}"
  onclick={(e) => onSelect(item)}
  onkeypress={(e) => onSelect(item)}
></div>

<style>

	.item {
		height: 48px;
    width: 48px;
		color: #000;
		display: flex;
		justify-content: center;
    border-radius: 3px;
	}

  .item:hover {
    filter: brightness(1.5);
  }

</style>
